#include "defines.h"
#include "amacro.h"
#include "astdio.h"
#include "vsiki.h"

int vsiki_read(unchar *line,long *num,int fpr,int pmode,VARSYS *gvar,VARSYS *lvar)
/* 継続付き式評価処理（ローカル変数対応）*/
{
unchar c;
int ret;
	do {
		while (c=*line,c==SPC||c==TAB) line++;
		if (c==0) {ret=0; break;} /* 式評価終了 */
		/* 式評価 */
		ret=vsiki(&line,num,gvar,lvar);
		if (fpr) { /* 中間報告 */
			if (ret<=0) {
				prints(" = ");
				PrintBase(*num,pmode);
				crlf();
			}
		}
	} while (ret<0);
	return(ret);
}
